using System;
using UnityEngine;

namespace Darkmatter.Core
{
    public interface IInputReader
    {
        event Action<Vector2> OnDragValueChanged;
        bool isMouseButtonPressed { get; }
        Vector2 dragInput { get; }

        void LockInput();
        void UnlockInput();

    }
}
